<template>
	<view>
		<!-- 胶囊 -->
		<mvBar :mysNavConfig="mysNavConfig"></mvBar>
		<view :style="{marginTop:navH}"></view>
		<view class="basicInfo">
			<image :src="mainImg" style="width: 150rpx;height: 150rpx;" mode="">
			</image>
			<view class="basicInfo_txt">
				<p style="margin-bottom: 10rpx;font-size: 36rpx;">{{project.project_name}}</p>
				<p>商品价值：{{project.Product.ProductPrice}}元</p>
			</view>
		</view>

		<view class="address">
			<view>
				<image class="address_icon" :src="picture.icon_loc" mode="">
				</image>
			</view>
			<view style="width: 70%;">
				<view style="display: flex;">
					<p class='ipon' style="padding-right: 100rpx;">{{address.receiver_name}}</p>
					<p class='ipon'>{{address.phone_number}}</p>
				</view>
				<p class='ipon'>{{address.full_detail_addr}}</p>
			</view>
			<view class="address_edit" @click="editAddress()">
				<image :src="picture.icon_edit" mode="">
				</image>
			</view>
		</view>

		<view class="keyInfo">
			<!-- <p style="margin-bottom: 30rpx;font-size: 36rpx;">关键任务信息</p> -->
			<p style="margin-top: 10rpx;">合作佣金</p>
			<view style="padding-top: 10rpx;">
				<p>粉丝量：{{strategy.show_followers_low}}-{{strategy.show_followers_up}}
				</p>
			</view>
			<view style="display: flex;">
				<p>
					稿费：{{strategy.fee_form_t}}
				</p>
				<view v-if="strategy.fee_form==3">
					<p>{{strategy.showOffer}}元</p>
				</view>
			</view>
			<!-- <view style="border-bottom: #dfdfdf 1px solid;margin: 10rpx 0 0;"></view>
			<p style="margin-top: 10rpx;">社媒平台</p>
			<view style="display: flex;padding-top: 10rpx;">
				<p>{{project.PlatformInfo.platform_name}}</p>
			</view>
			<view style="border-bottom: #dfdfdf 1px solid;margin: 10rpx 0 0;"></view>
			<p style="margin-top: 10rpx;">任务要求</p>
			<view class="keyInfo_task">
				<view style="display: flex;align-items: center;margin: 5rpx 0;">
					<p>内容形式：</p>
					<p class="keyInfo_task_txt">{{project.content}}</p>
				</view>
				<view style="display: flex;align-items: center;margin: 5rpx 0;">
					<p>任务形式：</p>
					<p class="keyInfo_task_txt">{{project.project_form}}</p>
				</view>
				<p style="margin: 5rpx 0;">商品描述：</p>
				<text class="keyInfo_task_txt">{{project.Product.ProductDetail}}</text>
				<p style="margin: 35rpx 0 0rpx;">任务详情：</p>
				<text class="keyInfo_task_txt">{{project.project_detail}}</text>
			</view> -->
		</view>

		<view class="account" @click="editAccount()">
			<view class="account_txt">
				<image :src="project.PlatformInfo.platform_icon" mode=""></image>
				<span>{{account.nick_name}}</span>
			</view>
			<view class="account_fans">
				<p style="padding-right: 20rpx;color:#A8A8A8;">粉丝数</p>
				<p>{{account.show_fans_count}}</p>
			</view>
			<view class="account_btn">
				<image :src="picture.togoimg" mode="" style="width: 16rpx;height: 30rpx;"></image>
			</view>
		</view>

		<view class="block"></view>
		<view class="submit">
			<button type="default" class="submit_btn" @click="Desubmit()"> 确认报名</button>
		</view>
	</view>
</template>

<script>
	import region from '@/components/pca-code.json';
	import mvBar from "@/components/mys_navBar/mysNavBar";
	import {
		fansview
	} from '@/components/utils.js';
	export default {
		components: {
			mvBar
		},
		data() {
			return {
				navH: getApp().globalData.navHeight,
				picture: getApp().globalData.picture,
				mainImg: "https://horastar.obs.cn-east-3.myhuaweicloud.com/backstage_upload/bb531ede-28b5-49a0-8431-a1608fd35890.png",
				account_id: -1,
				address_id: -1,
				address: null,
				project: null,
				account: null,
				strategy: null,
				thirdPlatform: [],
				mysNavConfig: {
					isHome: false,
					/* 固定导航  */
					navFixed: true,
					/* 标题 （屏幕中心居中 两边图标中心居中使用slot center1） */
					navTitle: {
						text: "信息确认",
						color: "",
						fontSize: "32rpx", // px upx rpx
						fontWeight: "", // 100 - 700
					},
					btnType: "type2",
					onLeftClick: '',
					/* type2 按钮 */
					type2Config: {
						// 左图标
						leftPath: "https://horastar.obs.cn-east-3.myhuaweicloud.com/talent/png2.png",
						// 右图标
						rightPath: "https://horastar.obs.cn-east-3.myhuaweicloud.com/talent/png4.png",
						// 圆角
						radius: "40rpx",
					},
				},
			}
		},
		onShow() {
			// 根据address_id查询address
			this.getDefaultAddress();
			// 查询account	
			this.getAccount();
		},
		onLoad(options) {
			this.textObj = options.textObj.replace(/""/g, "");
			this.textObj = JSON.parse(decodeURIComponent(this.textObj))
			console.log(this.textObj)
			this.project = this.textObj.information
			this.strategy = this.textObj.strategy
			// console.log(this.project)

			for (let i = 0; i < this.project.Product.ProductPhoto.length; ++i) {
				if (this.project.Product.ProductPhoto[i].Symbol === 1) {
					this.mainImg = this.project.Product.ProductPhoto[i].PhotoUrl
				}
			}
			this.strategy.show_followers_low = fansview(this.strategy.followers_low)
			this.strategy.show_followers_up = fansview(this.strategy.followers_up)
		},
		methods: {
			getAccount() {
				this.$https.get('/youngee/c/t/g/get-talent-account-kuaishou')
					.then(res => {
						console.log("快手账号信息---", res)
						if (res.data.code !== -3) {
							let account = res.data.data
							while (this.project == null) {}
							for (var i = 0; i < account.length; i++) {
								if (this.project.project_platform == account[i].platform_id) {
									this.account = account[i]
								}
								break
							}
							console.log("唯一账号信息---", this.account)
							this.account.show_fans_count = fansview(this.account.fan)
						}
					})
			},
			getDefaultAddress() {
				this.$https.get('/youngee/c/t/g/get-talent-default-address').then(res => {
					console.log(res.data.data)
					this.address = res.data.data;
					let a = this.address.region_code.toString().slice(0, 2)
					let b = this.address.region_code.toString().slice(0, 4)
					let c = 0
					for (var i = 0; i < region.length; i++) {
						if (region[i].code == a) {
							a = region[i].name
							for (var j = 0; j < region[i].children.length; j++) {
								if (region[i].children[j].code == b) {
									b = region[i].children[j].name
									for (var o = 0; o < region[i].children[j].children.length; o++) {
										if (region[i].children[j].children[o].code == this.address
											.region_code) {
											c = region[i].children[j].children[o].name
										}
									}
								}

							}
						}
					}
					this.address.full_detail_addr = a + b + c + this.address.detail_addr
				})
			},
			editAddress() {
				uni.navigateTo({
					url: '/page_mycenter/myinformation/addlocation?address_id=' + this.address.address_id +
						'&ismodify=1'
				});
			},
			editAccount() {
				uni.navigateTo({
					url: '/page_mycenter/myinformation/bindaccount?platform_id=' + this.account.platform_id +
						'&account_id=' +
						this.account.account_id
				});
			},
			debugSubmit() {
				uni.navigateTo({
					url: '/page_tasksquare/wholetask/success'
				});
			},
			//报名测试
			Desubmit() {
				// 3. 插入一条任务
				this.$https.post('/youngee/c/t/p/sign-up-task-with-ks-account', {
					address_id: 255,
					project_id: "2402864436",
					open_id: "f1b0d3a11c24fcde14bf5724d0d1cdfc",
					strategy_id: 3,
					offer: 300, //最终达人选中的稿费金额
				}).then(res => {
					console.log("报名结果---》", res)
					if (res.data.code == 0) {
						var data = {
							task_id: res.data.data
						};
						data = JSON.stringify(data)
						uni.navigateTo({
							url: '/page_tasksquare/wholetask/success?textObj=' + encodeURIComponent(
								data)
						});
					} else {
						uni.showModal({
							content: '网络繁忙，请小主稍后再试~',
						});
					}
				})
			},
			// 提交确认报名
			submit() {
				console.log(this.project)
				// 1. 判断任务是否截止				
				this.$https.get('/youngee/c/t/g/get-project-detail' +
					"?" +
					"project_id" +
					"=" +
					this.project.project_id
				).then(res => {
					console.log("获取种草详情接口----",
						res)
					// 当前时间
					var newdate = new Date()
					// 截止时间
					var endTime = new Date(res.data.data.recruit_ddl.replace(/-/g, "/"));
					console.log(endTime)
					if (endTime - newdate < 0) {
						// 招募截止
						uni.showToast({
							title: "任务已结束",
							duration: 1000,
						});
						uni.navigateTo({
							url: '/pages/tasksquare/tasksquare'
						});
					}
				})
				// 2. 判断粉丝量是否符合条件
				if (this.account.fan < this.strategy.followers_low) {
					// 招募截止
					uni.showToast({
						title: "粉丝量不达标",
						duration: 1000,
					});
				} else {
					// 3. 插入一条任务
					this.$https.post('/youngee/c/t/p/sign-up-task', {
						address_id: this.address.address_id,
						project_id: this.project.project_id,
						strategy_id: this.strategy.strategy_id,
						offer: this.strategy.offer, //最终达人选中的稿费金额
					}).then(res => {
						console.log("报名结果---》", res)
						if (res.data.code == 0) {
							var data = {
								task_id: res.data.data
							};
							data = JSON.stringify(data)
							uni.navigateTo({
								url: '/page_tasksquare/wholetask/success?textObj=' + encodeURIComponent(
									data)
							});
						} else {
							uni.showModal({
								content: '网络繁忙，请小主稍后再试~',
							});
						}
					})
				}
			},
			// 信息表
			getInfoList() {
				this.$http.get('/youngee/c/g/get-info-tables')
					.then(res => {
						this.hobby = []
						console.log(res)
						this.thirdPlatform = res.data.data.ThirdPlatform

						for (var i = 0; i < this.listsrc.length; i++) {
							var obj = {}
							obj.text = this.listsrc[i].platform_name
							obj.value = this.listsrc[i].id
							this.hobby.push(obj)
						}
					})
			},


		}
	}
</script>

<style lang="scss" scoped>
	text {
		font-size: 32rpx;
	}

	p {
		font-size: 32rpx;
	}

	.basicInfo {
		display: flex;
		margin: 0 40rpx;
		padding: 30rpx 0;

		.basicInfo_txt {
			margin-left: 40rpx;
			padding-top: 20rpx;
		}
	}

	.address {
		display: flex;
		margin: 30rpx 40rpx 0;
		padding: 30rpx 0;
		justify-content: space-around;

		.address_icon {
			vertical-align: middle;
			width: 50rpx;
			height: 50rpx;
			display: inline-block;
			padding-right: 30rpx;
		}

		.address_edit {}

		.address_edit image {
			vertical-align: middle;
			width: 50rpx;
			height: 50rpx;
			display: inline-block;
			padding-right: 14rpx;
		}

		.ipon {
			color: #333333;
			font-size: 32rpx;
			margin-bottom: 10rpx;
		}
	}

	.keyInfo {
		margin: 30rpx 40rpx;

		.keyInfo_task {
			color: #000;

			.keyInfo_task_txt {
				border-radius: 10rpx;
			}
		}
	}

	.keyInfo h3 {}

	.account {
		display: flex;
		align-items: center;
		width: 690rpx;
		padding: 24rpx 0;
		margin: 0 auto;

		.account_txt {
			display: inline-block;
			padding: 0 0 0 1%;
			width: 400rpx;
		}

		.account_txt span {
			color: #333333;
			font-weight: 550;
			text-indent: 2em;
			font-size: 32rpx;
		}


		.account_txt image {
			vertical-align: middle;
			width: 50rpx;
			height: 50rpx;
			display: inline-block;
			padding-right: 14rpx;
		}

		.account_fans {
			display: flex;
			width: 250rpx;
		}

		.account_fans p {
			display: inline-block;
			color: #333333;
			font-weight: 550;
		}

		.account_btn {}
	}

	.block {
		width: 100%;
		height: 100rpx;
		margin-top: 5%;
	}

	.submit {
		box-shadow: 0rpx 5rpx 40rpx #ccc;
		width: 100%;
		position: fixed;
		bottom: 0rpx;
		display: flex;
		height: 90rpx;
		padding-top: 2%;
		background-color: #FFFFFF;

		.submit_btn {
			width: 60%;
			background-color: #FCCF41;
			border-radius: 20rpx;
			font-size: 36rpx;
			line-height: 200%;
			letter-spacing: 10rpx;
			height: 80%;
		}

	}
</style>